Package org.eclipse.m2m.atl.dsls.textsource

# Class URLTextSource

java.lang.Object
org.eclipse.m2m.atl.dsls.textsource.TextSource
org.eclipse.m2m.atl.dsls.textsource.URLTextSource

public class URLTextSource extends TextSource
Manages a text source by url.

## Constructor Summary

Constructors
Constructor
Description
`URLTextSource(String url)`
Constructor.
`URLTextSource(URL url)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`InputStream`
`openStream()`
Returns an input stream of the text source.

### Methods inherited from class org.eclipse.m2m.atl.dsls.textsource.TextSource

`openBufferedReader`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### URLTextSource

public URLTextSource(URL url)
Constructor.

Parameters:
  `url` - the text source url

### URLTextSource

public URLTextSource(String url) throws MalformedURLException
Constructor.

Parameters:
  `url` - the text source url, in a String form
Throws:
  `MalformedURLException`

## Method Details

### openStream

public InputStream openStream() throws IOException
Returns an input stream of the text source.

Specified by:
  `openStream` in class `TextSource`
Returns:
  an input stream of the text source
Throws:
  `IOException`
See Also:
  - `TextSource.openStream()`